Bug 1992741 (CVE-2021-38202)

Summary: CVE-2021-38202 kernel: out-of-bounds read in TRACE_EVENT() in fs/nfsd/trace.h by sending NFS traffic when the trace event framework is being used for nfsd
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: acaringi, adscvr, airlied, alciregi, bhu, blc, brdeoliv, bskeggs, chwhite, dhoward, dvlasenk, fhrbata, fpacheco, hdegoede, hkrzesin, jarod, jarodwilson, jeremy, jforbes, jglisse, jlelli, jonathan, josef, jshortt, jstancek, jwboyer, kcarcia, kernel-maint, kernel-mgr, lgoncalv, linville, masami256, mchehab, mlangsdo, nmurray, ptalbert, qzhao, rkeshri, rvrbovsk, steved, swood, walters, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kernel 5.14 rc1 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Linux kernel. A remote attacker could cause a denial of service attack by sending NFS traffic when trace event framework is being used for nfsd. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-08-17 13:28:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1992742    
Bug Blocks: 1992743    

Description Guilherme de Almeida Suckevicz 2021-08-11 17:05:22 UTC
A flaw was found in the Linux kernel. A remote attacker could cause a denial of service attack by sending NFS traffic when trace event framework is being used for nfsd. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.

This flaw may allow a remote attacker to cause a denial of service (out-of-bounds read in strlen) by sending NFS traffic when the trace event framework is being used for nfsd.

Reference and upstream patch:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=7b08cf62b1239a4322427d677ea9363f0ab677c6

Comment 1 Guilherme de Almeida Suckevicz 2021-08-11 17:05:50 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1992742]

Comment 3 Justin M. Forbes 2021-08-12 13:19:20 UTC
This was fixed for Fedora with the 5.13.4 stable kernel updates.

Comment 4 Rohit Keshri 2021-08-15 20:05:18 UTC
There was no shipped RHEL kernel version that was seen affected by this problem.

Comment 7 Product Security DevOps Team 2021-08-17 13:28:14 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-38202